# The Grid protocol
The Grid is a Push-Native, Federated and Decentralised Event bus designed around privacy ([EU GDPR](https://eugdpr.org/)) and self-hosting. It is an alternative protocol to Matrix.

## Status
We are currently building the first client and server implementations, and a first test network is online.

See the [Sunrise](https://gitlab.com/thegridprotocol/home/milestones/1) milestone for the current progress.

## Documents
The following bootstrap documents explain what The Grid is in more details, how it came to be, differences with Matrix,
how the protocol will be managed by the non-profit and how documentation should take place.

- [Project Overview](docs/overview.md)
- [Governing Body](docs/governing-body.md)
- [Documentation Principles](docs/doc-principles.md)

## Getting Started

The protocol specification is currently hosted in the [Specification](https://gitlab.com/thegridprotocol/docs/spec) group. Please also look at [the open Merge Requests](https://gitlab.com/groups/thegridprotocol/docs/spec/-/merge_requests) which will contain the Work In Progress. Reviews are extremely welcome!

You can join the test network using [Gridepo](https://gitlab.com/kamax-io/grid/gridepo) and either a Matrix client or [Soler](https://gitlab.com/kamax-io/grid/soler). Please let us know if you start working on your own implementations: we will add them here so people can try them out too.

> **WARNING:** The test rooms on the test network are often reset to allow upgrades of algorithms and databases until the specification has reached v0.1

## Contact

Visit us on:
- Matrix
  - #thegrid:libremonde.org
  - #thegrid:kamax.io

- Telegram: [@thegrid_matrix](https://t.me/thegrid_matrix)
